# ui-code-highlight ![ ](https://travis-ci.org/lifegadget/ui-code-highlight.svg)

> Code highlighting in Ember-CLI apps using the `highlight.js` library

## Installation

````bash
ember install ui-code-highlight
````

The above assumes you're using a modern version of [Ember-CLI](http://www.ember-cli.com/) (aka, 0.2.3 or later). If you are not then just use:

````bash
npm install ui-code-highlight --save-dev
ember g ui-code-highlight
````

## Overview / Usage

Provides two components:

- code-block
- code-reference

Both are intended to leverage **highlight.js**'s rich library of languages to HTML'ize your code fragments in a useful way. Check out the demo for more info.


## Demo

You will find a demo of this component and interactive tests to understand this component at:

> [Demo of ui-code-highlight](http://development.ui-code-highlight.divshot.io)

## Dependencies ##

This component will install the following from bower:

- highlight.js

## Version Compatibility

This may very well work with older versions of Ember and Ember-CLI but it was developed with/for:

- Ember 1.11.0+
- Ember-CLI 0.2.3+

## Repo Contribution

We're open to your creative suggestions but please move past the "idea" stage 
and send us a PR so we can incorporate your ideas without killing ourselves. :)

## Licensing

This component is free to use under the MIT license:

Copyright (c) 2015 LifeGadget Ltd

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.